Bug 128618 - Deferred breakpoints only work the first cycle of debugging
Deferred breakpoints only work the first cycle of debugging
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnston
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-27 05:28 EDT by Caolan McNamara
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 13:51:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
testcase attachment (712 bytes, application/octet-stream)
2004-07-27 05:29 EDT, Caolan McNamara
no flags Details

  None (edit)
Description Caolan McNamara 2004-07-27 05:28:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040720

Description of problem:
Deferred breakpoints only work the first cycle of debugging, subsequent
runs attempt to reset them always break. This is the same problem i
had muself when I tried to quick and dirty merge the apple "future
breaks" into a gdb 6 in the past before the mainline had it.


Version-Release number of selected component (if applicable):
6.1post-1.20040607

How reproducible:
Always

Steps to Reproduce:
1. take attachment
2 [details]. make gdbtestc
    

Actual Results:   Function "mycos" not defined.
Breakpoint 1 (mycos) pending.
Breakpoint 2 at 0x4001843e: file ctestdl.c, line 5.
Pending breakpoint "mycos" resolved

Breakpoint 2, mycos (in=0) at ctestdl.c:5
5               fprintf(stderr, "shared lib test\n");
shared lib test
1.000000

Program exited normally.
ctestcmds:6: Error in sourced command file:
Warning:
Cannot insert breakpoint 2.
Error accessing memory address 0x4001843e: Input/output error.


Expected Results:  Function "mycos" not defined.
Breakpoint 1 (mycos) pending.
Breakpoint 2 at 0x4001843e: file ctestdl.c, line 5.
Pending breakpoint "mycos" resolved

Breakpoint 2, mycos (in=0) at ctestdl.c:5
5               fprintf(stderr, "shared lib test\n");
shared lib test
1.000000

Program exited normally.
Breakpoint 2, mycos (in=0) at ctestdl.c:5
5               fprintf(stderr, "shared lib test\n");
shared lib test
1.000000

Program exited normally.

Additional info:
Comment 1 Caolan McNamara 2004-07-27 05:29:20 EDT
Created attachment 102218 [details]
testcase attachment
Comment 2 Jeff Johnston 2004-09-01 13:51:31 EDT
A fix has been checked into Fedora Core and the patch will be applied
to FSF sources today.
Comment 3 John Flanagan 2004-12-21 14:37:08 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-561.html

Note You need to log in before you can comment on or make changes to this bug.